// ============================================================================
// ==                                                                        ==
// == AMDiS - Adaptive multidimensional simulations                          ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  TU Dresden                                                            ==
// ==                                                                        ==
// ==  Institut fr Wissenschaftliches Rechnen                               ==
// ==  Zellescher Weg 12-14                                                  ==
// ==  01069 Dresden                                                         ==
// ==  germany                                                               ==
// ==                                                                        ==
// ============================================================================
// ==                                                                        ==
// ==  https://gforge.zih.tu-dresden.de/projects/amdis/                      ==
// ==                                                                        ==
// ============================================================================

/** \file FixVecConvert.h */

#ifndef AMDIS_FIXVECCONVERT_H_
#define AMSID_FIXVECCONVERT_H_

#include "Global.h"

namespace AMDiS {

  template<typename T,GeoIndex d1,GeoIndex d2>
  class VecConv
  {
  public:
    static FixVec<T,d1>& convertVec(FixVec<T,d2>& rhs, Mesh* mesh) 
    {
      TEST_EXIT(mesh->getGeo(d1)==mesh->getGeo(d2))("Incompatible dimensions.\n");
      return reinterpret_cast<FixVec<T,d1>&>(rhs);
    }
  };

}

#endif
